package com.lij.himeeter.framework.config;

import com.lij.himeeter.common.utils.ServletUtils;
import jakarta.servlet.http.HttpServletRequest;
import org.springframework.stereotype.Component;

/**
 * <pre>
 *
 * 文件名 :  ServerConfig
 * 创建时间 : 2025年01月02日 15:26
 *
 * 文件描述 : 服务相关配置
 *
 * </pre>
 *
 * @author Nobita
 * @version 1.0.0
 */

@Component
public class ServerConfig {
    /**
     * 获取完整的请求路径，包括：域名，端口，上下文访问路径
     *
     * @return 服务地址
     */
    public String getUrl() {
        HttpServletRequest request = ServletUtils.getRequest();
        return getDomain(request);
    }

    public static String getDomain(HttpServletRequest request) {
        StringBuffer url = request.getRequestURL();
        String contextPath = request.getServletContext().getContextPath();
        return url.delete(url.length() - request.getRequestURI().length(), url.length()).append(contextPath).toString();
    }
}
